Package com.emc.d2fs.interfaces

# Interface ICheckoutService

All Superinterfaces:
  `ID2fsService`

public interface ICheckoutService extends ID2fsService
Document checkout services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `cancelCheckout(Context context, String id)`
  Cancel check out of a document
  `boolean`
  `cancelCheckoutAll(Context context, List<String> ids)`
  Cancel check out of multiple documents
  `boolean`
  `checkout(Context context, String id)`
  Check out a document
  `boolean`
  `checkoutAsNew(Context context, String id)`
  Check out a document as a new one
  `int`
  `getNumberOfCheckoutDocument(Context context)`
  Get count of checked out documents
  `String`
  `testCheckout(Context context, String id)`
  Get informations about check out status
  `boolean`
  `testControlledPrint(Context context, String id, List<Attribute> parameters)`
  Test if there is a controlled printing

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### checkoutAsNew

    boolean checkoutAsNew(Context context, String id) throws Exception
    Check out a document as a new one
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### checkout

    boolean checkout(Context context, String id) throws Exception
    Check out a document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### testCheckout

    String testCheckout(Context context, String id) throws Exception
    Get informations about check out status
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      String value of check out status
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### cancelCheckout

    boolean cancelCheckout(Context context, String id) throws Exception
    Cancel check out of a document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### cancelCheckoutAll

    boolean cancelCheckoutAll(Context context, List<String> ids) throws Exception
    Cancel check out of multiple documents
    Parameters:
      `context` - `Context` object containing informations about client/session
      `ids` - String list of document id
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getNumberOfCheckoutDocument

    int getNumberOfCheckoutDocument(Context context) throws Exception
    Get count of checked out documents
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      Count of documents
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### testControlledPrint

    boolean testControlledPrint(Context context, String id, List<Attribute> parameters) throws Exception
    Test if there is a controlled printing
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `parameters` - `Attribute` list of parameters
    Returns:
      true if printing is controlled
    Throws:
      `Exception`
    Since:
      4.0.1